Bug 737851 - Disconnecting cdrom image fail
Summary: Disconnecting cdrom image fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.8
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 699611
TreeView+ depends on / blocked
 
Reported: 2011-09-13 09:14 UTC by Miroslav Rezanina
Modified: 2012-02-21 05:56 UTC (History)
17 users (show)

Fixed In Version: xen-3.0.3-135.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 645266
Environment:
Last Closed: 2012-02-21 05:56:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0160 normal SHIPPED_LIVE xen bug fix and enhancement update 2012-02-20 14:53:33 UTC

Comment 1 Miroslav Rezanina 2011-09-13 09:19:58 UTC
Patch for bz #645237 introduce check for image existence. However, libvirt pass empty string to disconect image from guest that cause error so disconnecting is not possible.

Comment 6 Miroslav Rezanina 2011-10-26 14:06:55 UTC
Fix built into xen-3.0.3-135.el5

Comment 8 Qixiang Wan 2011-12-15 12:25:41 UTC
Verified with xen-3.0.3-135.el5.

With the xen <= -134, there is error message prompt when try to disconnect the cdrom device in virt-manager:
Error Removing CDROM: Requeseted operation is not valid:
Xm driver only supports modifying persistent config.

And xend raise the error as following:
  ...
  File "/usr/lib64/python2.4/site-packages/xen/xend/XendDomainInfo.py", line 1573, in reconfigureDevice
    return self.getDeviceController(deviceClass).reconfigureDevice(
  File "/usr/lib64/python2.4/site-packages/xen/xend/server/blkif.py", line 130, in reconfigureDevice
    raise VmError("Can't read disk file %s" % new_back['params'])
VmError: Can't read disk file 

After update to xen-3.0.3-135.el5, there is no issue with disconnecting cdrom device.

Comment 9 errata-xmlrpc 2012-02-21 05:56:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0160.html


Note You need to log in before you can comment on or make changes to this bug.